Skip to main content
GET
List deposit addresses
Returns the reusable receive addresses created for the account. Filter by status (active or disabled) and page with limit (up to 100, default 50) and cursor.

Authorizations

Authorization
string
header
required

HTTP Basic auth. Username is the Stableyard app ID. Password is the app secret. The optional Stableyard-Version request header must match the environment pin.

Headers

Stableyard-Version
enum<string>

Optional contract-version assertion. Omit it to use the app environment's pinned version. A different supported version is accepted only after that environment is explicitly migrated.

Available options:
2026-09-09

Path Parameters

accountId
string
required

Canonical account id returned by the Accounts API.

Example:

"acct_123"

Query Parameters

status
enum<string>
Available options:
active,
disabled
limit
integer
default:50
Required range: x <= 100
cursor
string

Opaque cursor returned as nextCursor by the previous page.

Response

Deposit addresses

accountId
string
required
Example:

"acct_123"

depositAddresses
object[]
required
nextCursor
string

Pass this value as cursor to fetch the next page.